#import <Cocoa/Cocoa.h>
#import <QuartzCore/QuartzCore.h>


@interface MainImageView : NSImageView {

	CIImage *mainImage;
	IBOutlet NSTextField *imageLocation;
	IBOutlet NSTextField *hueValue;
	IBOutlet NSTextField *discBlurValue;
	
	//filter values
	float hueAdjust;
	float discBlur;
}

- (void)loadImageFromPath:(NSString *)aPath;
- (IBAction)selectNewImage:(id)sender;
- (IBAction)saveImage:(id)sender;
- (void)resetAllValues;

- (IBAction)hueAdjustSliderDidChange:(id)sender;
- (IBAction)discBlurSliderDidChange:(id)sender;
- (IBAction)ApplyHue:(id)sender;
- (IBAction)applyDiscBlur:(id)sender;
@end